/*
 * \file EnumDefinitions.cpp:
 * \brief: enum functions for our objects
 */

#include "./EnumDefinitions.h"

/*Datasets: */
int DatasetsEnum(void){                 return          100; }
int ElementsEnum(void){                 return          101; }
int NodesEnum(void){                    return          102; }
int ConstraintsEnum(void){              return          103; }
int LoadsEnum(void){                    return          104; }
int MaterialsEnum(void){                return          105; }
int ParametersEnum(void){               return          106; }
int ResultsEnum(void){                  return          107; }

/*Analysis types: */
int AnalysisEnum(void){                 return          200; }
int DiagnosticAnalysisEnum(void){       return          201; }
int ControlAnalysisEnum(void){          return          202; }
int ThermalAnalysisEnum(void){          return          203; }
int PrognosticAnalysisEnum(void){       return          204; }
int MeltingAnalysisEnum(void){          return          205; }
int SlopeComputeAnalysisEnum(void){     return          206; }
int StokesAnalysisEnum(void){           return          207; }
int HutterAnalysisEnum(void){           return          208; }
int SurfaceXAnalysisEnum(void){         return          209; }
int SurfaceYAnalysisEnum(void){         return          210; }
int BedXAnalysisEnum(void){             return          211; }
int BedYAnalysisEnum(void){             return          212; }
int HorizAnalysisEnum(void){            return          213; }
int VertAnalysisEnum(void){             return          214; }
int NoneAnalysisEnum(void){             return          215; }
int SteadyAnalysisEnum(void){           return          216; }
int TransientAnalysisEnum(void){        return          217; }
int AdjointAnalysisEnum(void){          return          218; }
int InverseAnalysisEnum(void){          return          219; }
int GradientAnalysisEnum(void){         return          220; }

/*Formulations: */
int FormulationEnum(void){              return          300; }
int NoneEnum(void){                     return          301; }
int HutterEnum(void){                   return          302; }
int MacAyealEnum(void){                 return          303; }
int PattynEnum(void){                   return          304; }
int StokesEnum(void){                   return          305; }

/*Objects: */
int ObjectEnum(void){                   return          400; }
/*Elements: */
int ElementEnum(void){                  return          410; }
int TriaEnum(void){                     return          411; }
int PentaEnum(void){                    return          412; }
int SingEnum(void){                     return          414; }
int BeamEnum(void){                     return          415; }
/*Grids: */
int NodeEnum(void){                     return          420; }
/*Loads: */
int LoadEnum(void){                     return          430; }
int IcefrontEnum(void){                 return          431; }
int PenpairEnum(void){                  return          432; }
int PengridEnum(void){                  return          433; }
/*Materials: */
int MaterialEnum(void){                 return          440; }
int MaticeEnum(void){                   return          441; }
int MatparEnum(void){                   return          442; }
/*Inputs: */
int InputEnum(void){                    return          450; }
/*Params: */
int ParamEnum(void){                    return          460; }
/*Results: */
int ResultEnum(void){                   return          470; }
/*Rgb: */
int RgbEnum(void){                      return          480; }
/*Spc: */
int SpcEnum(void){                      return          490; }



/*functions on enums: */
int EnumIsElement(int en){
	if ((en>=410) && (en<=419))return 1;
	else return 0;
}

int EnumIsLoad(int en){
	if ((en>=430) && (en<=439))return 1;
	else return 0;
}
int EnumIsMaterial(int en){
	if ((en>=440) && (en<=449))return 1;
	else return 0;
}
